#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  khelpcenter-25.12.2

- Next

  konversation-25.12.2

- Up
- Home

# Konsole-25.12.2

## Introduction to Konsole

The Konsole package is a KDE Frameworks-based terminal emulator.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/konsole-25.12.2.tar.xz

- Download MD5 sum: ba4e6bd9b2b8741066d5ec1d7df10b8e

- Download size: 1.8 MB

- Estimated disk space required: 74 MB

- Estimated build time: 0.5 SBU (using parallelism=4)

### Additional Downloads

- Optional patch: https://www.linuxfromscratch.org/patches/blfs/svn/konsole-adjust_scrollbar-1.patch

### Konsole Dependencies

#### Required

KDE Frameworks-6.23.0

## Installation of Konsole

### Note

In non-Plasma environments, the konsole scrollbar and its handle do not display well. This can be fixed by applying the following patch if desired:

    patch -Np1 -i ../konsole-adjust_scrollbar-1.patch

The patch makes the scrollbar light gray with a small white border. The handle is dark gray. If desired, the colors may be changed by editing the patch.

Install Konsole by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: konsole and konsoleprofile
Installed Libraries: libkdeinit6_konsole.so and libkonsoleprivate.so
Installed Directories: $KF6_PREFIX/share/doc/HTML/*/konsole, $KF6_PREFIX/share/konsole, and $KF6_PREFIX/share/kxmlgui6/konsole

### Short Descriptions

konsole | is a KDE Frameworks-based terminal emulator
konsoleprofile | is a command-line tool to change the current tab's profile options

- Prev

  khelpcenter-25.12.2

- Next

  konversation-25.12.2

- Up
- Home